<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>
	<?php $heading_font = of_get_option('ttrust_heading_font'); ?>
	<?php $body_font = of_get_option('ttrust_body_font'); ?>
	<?php if ($heading_font != "") : ?>
		<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=<?php echo(urlencode($heading_font)); ?>:regular,italic,bold,bolditalic" />
	<?php else : ?>
		<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Droid+Sans:regular,bold" />
	<?php endif; ?>
	
	<?php if ($body_font != "" && $body_font != $heading_font) : ?>
		<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=<?php echo(urlencode($body_font)); ?>:regular,italic,bold,bolditalic" />
	<?php elseif ($heading_font != "") : ?>
		<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Droid+Sans:regular,bold" />
	<?php endif; ?>
	
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<?php if (of_get_option('ttrust_favicon') ) : ?>
		<link rel="shortcut icon" href="<?php echo of_get_option('ttrust_favicon'); ?>" />
	<?php endif; ?>
	
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<?php wp_head(); ?>	
</head>

<body <?php body_class(); ?> >

<div id="container">	
<div id="header">
	<div class="inside">	
	<div class="top clearfix">
					
		<?php $ttrust_logo = of_get_option('logo'); ?>
		<div id="logo">
		<?php if($ttrust_logo) : ?>				
			<h1 class="logo"><a href="<?php bloginfo('url'); ?>"><img src="<?php echo $ttrust_logo; ?>" alt="<?php bloginfo('name'); ?>" /></a></h1>
		<?php else : ?>				
			<h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>				
		<?php endif; ?>	
		</div>
		
		<div id="socialLinks" class="clearfix">
			<?php $ttrust_dribbble_url = of_get_option('ttrust_dribbble_url'); ?>
			<?php $ttrust_twitter_url = of_get_option('ttrust_twitter_url'); ?>
			<?php $ttrust_facebook_url = of_get_option('ttrust_facebook_url'); ?>			
			<?php $ttrust_rss_url = of_get_option('ttrust_rss_url'); ?>
			
			<?php if($ttrust_dribbble_url) : ?> 
				<a class="dribbble" href="<?php echo $ttrust_dribbble_url; ?>"><span>Dribble</span></a>
			<?php endif; ?>
			
			<?php if($ttrust_twitter_url) : ?> 
				<a class="twitter" href="<?php echo $ttrust_twitter_url; ?>"><span>Twitter</span></a>
			<?php endif; ?>
			
			<?php if($ttrust_facebook_url) : ?> 
				<a class="facebook" href="<?php echo $ttrust_facebook_url; ?>"><span>Facebook</span></a>
			<?php endif; ?>
			
			<?php if($ttrust_rss_url) : ?> 
				<a class="rss" href="<?php echo $ttrust_rss_url; ?>"><span>RSS</span></a>
			<?php endif; ?>
		</div>					
	</div>
	
	<div id="mainNav" class="clearfix">							
		<?php wp_nav_menu( array('menu_class' => 'sf-menu', 'theme_location' => 'main', 'fallback_cb' => 'default_nav' )); ?>			
	</div>
	
	<?php if(is_front_page()):?>		
		<?php if(of_get_option('ttrust_slideshow_enabled')) include( TEMPLATEPATH . '/includes/slideshow.php'); ?>	
	<?php endif; ?>	
	</div>		
</div>

